<template>
  <div class="pb-20">
    <div class="flex justify-center">
      <div
        class="pb-8 pt-2 px-4 mt-4 max-w-[932px] bg-[color:var(--background-body)] boxShadow rounded-3xl"
      >
        <div v-if="!title.IsHidden" class="mb-6 text-left">
          <div class="text-2xl font-bold text-[color:var(--title-font-color)]">
            {{ $t("term_condition") }}
          </div>
        </div>
        <div
          v-if="!content.IsHidden"
          class="text-[16px] text-[color:var(--font-color-primary)]"
          v-html="content.Text"
        ></div>
        <nuxt-link :to="'/'">
          <button
            class="max-w-[240px] text-[color:var(--font-color-primary)] bg-[color:var(--button-bg)] box-shadow h-[40px] px-5 font-[600] mt-6 uppercase rounded-md"
          >
            {{ $t("go_to_homepage") }}
          </button>
        </nuxt-link>
      </div>
    </div>
  </div>
</template>
<script lang="ts" setup>
import themePropertyHelper from "@/utils/themePropertyHelper";
import { IThemePropertiesFromApi } from "@/models/companyThemePropertiesRespone";
import { store } from "@/store";
const themeProperties = computed(
  () => store.state.companyThemePropertiesFromApi.ThemeProperties
);
const title = computed(
  (): IThemePropertiesFromApi =>
    themePropertyHelper.getSingleThemeProperty(
      themeProperties.value,
      "footer_menu_info_2"
    )
);
const content = computed(
  (): IThemePropertiesFromApi =>
    themePropertyHelper.getSingleThemeProperty(
      themeProperties.value,
      "menu_content_2_1"
    )
);
</script>
<style lang="scss" scoped>
.el-collapse {
  --el-collapse-content-bg-color: none;
  --el-collapse-header-bg-color: none;
  border: none;
  :deep(.el-collapse-item__arrow) {
    font-weight: bold;
    color: var(--text);
  }
}
</style>
<style lang="scss">
.bmm1_term-condition {
  margin-top: 60px;
  .el-collapse-item__arrow {
    display: none;
  }
  .el-collapse-item.is-active .el-collapse-item__header,
  .el-collapse-item__wrap {
    border-bottom: 1px solid var(--border);
  }
  .el-collapse-item__header,
  .el-collapse-item__wrap {
    border-bottom: unset;
  }
  .el-collapse-item__header {
    height: 64px;
  }
  .el-collapse-item__header.is-active .plus__icon {
    transition: transform 0.3s ease-in-out;
  }
  .el-collapse-item__header.is-active .plus__icon {
    transform: rotate(0deg);
  }
  .el-collapse-item__header .plus__icon {
    transition: transform 0.3s ease-in-out;
    &::before {
      content: "\00D7";
      font-size: 24px;
    }
  }
  .el-collapse-item__header .plus__icon {
    transform: rotate(45deg);
  }
  .el-collapse-item__content {
    padding: 0 !important;
  }
}
</style>
